Class | CSV::IOBuf
In: | csv.rb
Parent: | StreamBuf

Buffered IO.

EXAMPLE

      # File 'bigdata' could be a giga-byte size one!
      buf = CSV::IOBuf.new(File.open('bigdata', 'rb'))
      CSV::Reader.new(buf).each do |row|
        p row
        break if row[0].data == 'admin'
      end

### Methods

close new

### Public Class methods

new(s)

[Source]

    # File csv.rb, line 973
        def initialize(s)
          @s = s
          super()
        end

### Public Instance methods

close()

[Source]

    # File csv.rb, line 978
        def close
          terminate
        end

[Validate]